#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>
#include <sys/stat.h>
#include <unistd.h>

/*
lynxerror.c [part of the snag-o-rama distribution

Copyright (c) 1996 by Joseph Clancy (jclancy@wimsey.com)
Placed under the GPL; see COPYING for further info.

Arguments:
chaserefs <fqurl> <id>
fqurl is the fully qualified URL that is coming in on stdin
id is an identifier for command files
*/



int lynxerror (char *fname)
{
  char temp1[100];
  FILE *in;
  in = fopen (fname, "rb");
  if (fread (temp1, 30, 1, in) == 0)
  {
    fclose (in);
    return (1);
  }
  fclose (in);
  if (!strncmp (temp1, "\nlynx: Can't access start file", 30))
    return (1);
  return (0);
}

int main (int argc, char **argv)
{
  int error;
  error = lynxerror (argv[1]);
  if (error)
    printf ("error\n");
  return (error);
}


